Page MenuHomePhabricator

WMHack19: better external communication tools
Closed, ResolvedPublic

Description

Movement communication outside the wikis largely relies on email and IRC which are not very well suited to running open, collaborative communities at scale. The result is disfunction, fragmentation (IRC vs. Zulip vs. Telegram vs. Conpherence vs...) and a slow exodus to modern but philosophically misaligned (closed-source, privacy-invasive, disempowering) tools like Facebook and Slack. We can do better than that.

There has been an effort recently to set up Discourse (a modern, community-oriented forum software with decent email integration) and Matrix (a modern IRC-like federated chat system) as suitable alternatives. The aim of the session is to connect people interested in the topic and - depending on the mix of participants - test the new communication tools or hack on them.

Some possible tasks:

Time & place: Sunday 11h (rescheduled), in Education Center
Slides: https://bit.ly/wmhack19-commtools

Event Timeline

Tgr created this task.May 16 2019, 5:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2019, 5:20 AM
Tgr claimed this task.May 16 2019, 5:29 AM

I can share my knowledge and experience about Matrix/Riot! I just configured the wikidata-bridge to matrix a couple of days ago. Let's talk about that!

Tgr updated the task description. (Show Details)May 16 2019, 7:38 AM
Tgr updated the task description. (Show Details)May 16 2019, 1:17 PM
Tgr updated the task description. (Show Details)May 18 2019, 8:30 AM
Tgr added a comment.EditedMay 18 2019, 8:43 AM

Scheduling this to the main hacking area seemed like a good idea at the time, but it's actually impossible to find any space at the large desks, and the sitting things in the chillout zone are instant chronic back pain, so I'm rescheduling this to Sunday. Sorry :(

Tgr updated the task description. (Show Details)May 18 2019, 8:45 AM
Tgr updated the task description. (Show Details)
Tgr updated the task description. (Show Details)May 18 2019, 9:08 AM
greg added a subscriber: greg.May 18 2019, 11:37 AM
Tgr closed this task as Resolved.May 21 2019, 8:09 PM
Tgr updated the task description. (Show Details)

The session happened. Interested parties should follow Discourse and Matrix. There will probably an announcement on both soon (although the Matrix one might be WMF-only for now).